export type TokenString = string | null | undefined;
export interface TokenData {
    publicKey: Uint8Array;
    signature: Uint8Array;
}
export declare class Token {
    publicKey: Uint8Array;
    signature: Uint8Array;
    static check(encoded: TokenString): Promise<boolean>;
    static parse(encoded: TokenString): TokenData;
    static import(encoded: TokenString): Token;
    constructor(publicKey: string | Uint8Array, signature: string | Uint8Array);
    get pubHex(): string;
    get sigHex(): string;
    get encoded(): string;
    issuedBy(key: string): boolean;
}
//# sourceMappingURL=token.d.ts.map